clang 8.0.0

Public Types | Static Public Member Functions | List of all members
llvm::PointerLikeTypeTraits< clang::OpaquePtr< T > > Struct Template Reference

`#include "clang/Sema/Ownership.h"`

## Public Types
enum | { NumLowBitsAvailable = 0 }

## Static Public Member Functions
static void * | getAsVoidPointer (clang::OpaquePtr< T > P)
static clang::OpaquePtr< T > | getFromVoidPointer (void *P)

## Detailed Description

### template<class T>
struct llvm::PointerLikeTypeTraits< clang::OpaquePtr< T > >

Definition at line 119 of file Ownership.h.

## Member Enumeration Documentation

## ◆ anonymous enum

template<class T >

anonymous enum

Enumerator
NumLowBitsAvailable |

Definition at line 120 of file Ownership.h.

## Member Function Documentation

## ◆ getAsVoidPointer()

template<class T >

static void* llvm::PointerLikeTypeTraits< clang::OpaquePtr< T > >::getAsVoidPointer | ( | clang::OpaquePtr< T > | P | ) |
| inline static

Definition at line 122 of file Ownership.h.

References clang::OpaquePtr< PtrTy >::getAsOpaquePtr().

## ◆ getFromVoidPointer()

template<class T >

static clang::OpaquePtr<T> llvm::PointerLikeTypeTraits< clang::OpaquePtr< T > >::getFromVoidPointer | ( | void * | P | ) |
| inline static

Definition at line 127 of file Ownership.h.

References clang::OpaquePtr< PtrTy >::getFromOpaquePtr().

The documentation for this struct was generated from the following file:

- include/clang/Sema/Ownership.h